Get all mortgage searches Run in API Explorer
Ask AI
This endpoint will return all mortgage searches in the firm.
Query parameters
-
Filter by a comma separated list of UUIDs.
-
Filter by a comma separated list of account UUIDs (through applicants).
-
Filter by a comma separated list of case UUIDs.
-
Filter by a comma separated list of circle UUIDs.
-
Filter by status.
-
Filter by provider.
-
Comma separated list of relationships to include in the response. Valid relationships are [applicants, cases].
-
Field to sort by. Valid fields are [created_at, updated_at, status, provider]. Negative sign to denote DESC. Defaults to '-created_at'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v2/mortgage-searches
curl \
--request GET 'https://api.plannrcrm.com/api/v2/mortgage-searches' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "cd77101b-d586-4a04-9cd5-491abd27d1fa",
"created_at": "2026-10-29T17:25:07+00:00",
"updated_at": "2026-10-29T17:25:07+00:00",
"name": "My Mortgage Search",
"status": "pending",
"provider": "Mortgage Brain",
"provider_reference": "123456789",
"provider_data": [],
"applicants": [
{
"uuid": "adda1390-bad9-48c6-9cb9-2c1dbac09f88",
"created_at": "2026-10-29T17:25:07+00:00",
"updated_at": "2026-10-29T17:25:07+00:00",
"account": {
"uuid": "6fc648bb-914f-4768-8a4f-2c6e50c0d7d7",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
}
}
],
"cases": [
{
"uuid": "b2b16860-74bf-446b-a724-7353ff6a77bf",
"created_at": "2026-10-29T17:25:07+00:00",
"updated_at": "2026-10-29T17:25:07+00:00",
"name": "finance",
"slug": "finance",
"status": {
"uuid": "d710a5a6-32ca-4e2b-87e4-91c7206b9ae3",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"name": "To Be Reviewed",
"colour": "#23852B",
"position": 5,
"is_type_completed": false
},
"type": {
"uuid": null,
"name": "Mortgage Plan",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00"
},
"review_at": "2026-10-29T17:25:07+00:00",
"assigned_to_uuids": [
"2dfb05c1-3792-4124-89a9-4078a34ef2cd"
],
"group_uuids": [
"442ee248-0ccb-402a-9df5-5a5fe893392e"
],
"completed_at": "2026-10-29T17:25:07+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"participants": {
"uuid": "d5d36f53-7bf2-4cdc-9b9e-ab0c775ae829",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-29T17:25:13+00:00",
"next_review_date": "2026-10-29T17:25:13+00:00",
"previous_review_date": "2026-10-29T17:25:13+00:00",
"anniversary_review_date": "2026-10-29T17:25:13+00:00",
"terms_of_business_at": "2026-10-29T17:25:13+00:00",
"client_agreement_at": "2026-10-29T17:25:13+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-29",
"last_interaction_at": "2026-10-29 17:25:13",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-29T17:25:13+00:00",
"out_of_office_until": "2026-10-29T17:25:13+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"task_board_uuid": "5044de3c-63f3-4c9a-b808-1e58faa45599",
"plans": {
"uuid": "cb711453-af50-48d7-905b-d6714ffa0bfa",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"opened_at": "2026-10-29T17:25:13+00:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-10-29T17:25:13+00:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-10-29",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-10-29",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-10-29T17:25:13+00:00",
"original_valued_at": "2026-10-28T17:25:13+00:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"custom_fields": {
"uuid": null,
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
}
}
],
"products": [
{
"uuid": "c48bed53-448a-41d8-8de6-43e33217a6d9",
"created_at": "2026-10-29T17:25:07+00:00",
"updated_at": "2026-10-29T17:25:07+00:00",
"provider_reference": "example-reference",
"provider_scenario_name": "Single Applicant, Small Deposit",
"provider_scenario_data": [],
"lender_name": "HSBC",
"product_title": "5% Fixed Rate - 5 year",
"files": {
"uuid": "8e19f437-fdeb-4ac9-b4c0-41ec02f02391",
"created_at": "2026-10-29T17:25:13+00:00",
"original_created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"uploaded_at": "2026-10-29T17:25:13+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-10-29T17:25:13+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/9d7df819-b0d8-49be-8314-8f6cbe17c5ad/download",
"preview_url": "https://api.plannrcrm.com/file/5dea380e-3a11-43c2-b2ee-fd8c66f6a104/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"plan": {
"uuid": "d12d94ca-11b1-4204-b725-8da93581388b",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"opened_at": "2026-10-29T17:25:13+00:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-10-29T17:25:13+00:00",
"inactive_reason": "claimed",
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"is_wrap_product": false,
"is_wrap_child": false
},
"mortgage_search": {
"uuid": "562eedab-a17a-46ba-a676-f2bf3402489b",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"name": "My Mortgage Search",
"status": "pending",
"provider": "Mortgage Brain",
"provider_reference": "123456789",
"provider_data": []
}
}
],
"plans": [
{
"uuid": "07d03c11-f55f-4336-9860-67d112f6df90",
"created_at": "2026-10-29T17:25:07+00:00",
"updated_at": "2026-10-29T17:25:07+00:00",
"opened_at": "2026-10-29T17:25:07+00:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-10-29T17:25:07+00:00",
"inactive_reason": "claimed",
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"is_wrap_product": false,
"is_wrap_child": false
}
],
"files": [
{
"uuid": "c6038890-10e2-48b3-9cd7-4cf396472420",
"created_at": "2026-10-29T17:25:07+00:00",
"original_created_at": "2026-10-29T17:25:07+00:00",
"updated_at": "2026-10-29T17:25:07+00:00",
"uploaded_at": "2026-10-29T17:25:07+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-10-29T17:25:07+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/3887963f-c705-4e42-a8d1-1d3ee5ed9187/download",
"preview_url": "https://api.plannrcrm.com/file/d56366b5-9bc9-48d9-b012-4cd9b01e2f06/preview",
"folder_name": "folder 2",
"folder": {
"uuid": "c3bf8b18-2e4b-43cb-b32d-0bdb55ba7830",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "1e7babd1-045f-48cc-93fd-80e759b26ce3"
},
"firm": {
"uuid": "a473c07b-c216-494a-832a-22add43fe748",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "6fc648bb-914f-4768-8a4f-2c6e50c0d7d7",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "33f99866-b8c1-412e-90cd-3555125539c1",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
}
]
}
]
}